Can't upload my map to springfiles

Can't upload my map to springfiles

Discuss your problems with the latest release of the engine here. Problems with games, maps or other utilities belong in their respective forums.

Moderator: Moderators

Post Reply
User avatar
The Yak
Posts: 347
Joined: 20 May 2012, 05:36

Can't upload my map to springfiles

Post by The Yak »

Tried different names but no good.

Code: Select all

--> -->
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context
    self.dialect.do_execute(
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 609, in do_execute
    cursor.execute(statement, parameters)
  File "/usr/lib/python3/dist-packages/MySQLdb/cursors.py", line 209, in execute
    res = self._query(query)
  File "/usr/lib/python3/dist-packages/MySQLdb/cursors.py", line 315, in _query
    db.query(q)
  File "/usr/lib/python3/dist-packages/MySQLdb/connections.py", line 226, in query
    _mysql.connection.query(self, query)
MySQLdb._exceptions.OperationalError: (1442, "Can't update table 'file' in stored function/trigger because it is already used by statement which invoked this stored function/trigger")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/springfiles/upq/www/upload/index.py", line 100, in <module>
    msgs = SaveUploadedFile(form)
  File "/home/springfiles/upq/www/upload/index.py", line 78, in SaveUploadedFile
    output =  ParseAndAddFile(filename, accountid, cfg)
  File "/home/springfiles/upq/www/upload/index.py", line 94, in ParseAndAddFile
    extract_metadata.Extract_metadata(cfg, db, filename, accountid)
  File "/home/springfiles/upq/lib/extract_metadata.py", line 649, in Extract_metadata
    return extract_metadata_unitsync(cfg, db, filepath, accountid, tmpdir)
  File "/home/springfiles/upq/lib/extract_metadata.py", line 631, in extract_metadata_unitsync
    insertData(db, data)
  File "/home/springfiles/upq/lib/extract_metadata.py", line 443, in insertData
    fid=db.insert("file", {
  File "/home/springfiles/upq/lib/upqdb.py", line 150, in insert
    s.execute(query)
  File "/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py", line 1295, in execute
    return self._connection_for_bind(bind, close_with_result=True).execute(
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/usr/lib/python3/dist-packages/sqlalchemy/sql/elements.py", line 298, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1124, in _execute_clauseelement
    ret = self._execute_context(
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1316, in _execute_context
    self._handle_dbapi_exception(
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1510, in _handle_dbapi_exception
    util.raise_(
  File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context
    self.dialect.do_execute(
  File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 609, in do_execute
    cursor.execute(statement, parameters)
  File "/usr/lib/python3/dist-packages/MySQLdb/cursors.py", line 209, in execute
    res = self._query(query)
  File "/usr/lib/python3/dist-packages/MySQLdb/cursors.py", line 315, in _query
    db.query(q)
  File "/usr/lib/python3/dist-packages/MySQLdb/connections.py", line 226, in query
    _mysql.connection.query(self, query)
sqlalchemy.exc.OperationalError: (MySQLdb._exceptions.OperationalError) (1442, "Can't update table 'file' in stored function/trigger because it is already used by statement which invoked this stored function/trigger")
[SQL: INSERT INTO file (uid, filename, path, size, `status`, timestamp, md5, sha1, sha256, name, version, cid, sdp, metadata) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)]
[parameters: (1022905, 'otago_redux_1.0.sd7', 'maps', 78932278, 1, datetime.datetime(2022, 6, 15, 0, 23, 16, 422940), 'a2be9ff27f681685894eb284759851d7', 'ff0f6b32e2122601366db3111ef07de5364b636c', 'ddde39701719052b49376b2811aab58bafac2f0981a7425172117af7e377a55f', 'Otago_Redux 1.0', '', 2, 'e696cf02953fb2d890e5452f2264e5e0', '{"Name": "Otago_Redux 1.0", "Author": "Moose", "Description": "Valleys of dry grasslands and dense forests", "Gravity": 100, "MaxWind": 20, "MinWind" ... (440 characters truncated) ...  "mapimages": ["b294ee10764ff0c7518946c4721cb629.jpg", "c26889c756bbff70c5c695d9d3f91a1f.jpg", "a48ac33c0aa255601b55a07cf09f6088.jpg"], "splash": []}')]
(Background on this error at: http://sqlalche.me/e/13/e3q8)
EDIT: Might be a clue
https://cdn.discordapp.com/attachments/ ... hot_61.png

EDIT2: Uploaded the map to ZeroK https://zero-k.info/Maps/Detail/61638
raaar
Metal Factions Developer
Posts: 1050
Joined: 20 Feb 2010, 12:17

Re: Can't upload my map to springfiles

Post by raaar »

Hi, it's my fault, sorry.

I'm making changes directly on the server which i'll reveal today when I update the UI part and publish the PR.

I've reverted that change, you can upload the map now.
User avatar
The Yak
Posts: 347
Joined: 20 May 2012, 05:36

Re: Can't upload my map to springfiles

Post by The Yak »

It works now, thank you.
Post Reply

Return to “Help & Bugs”

cron